'\"! eqn | mmdoc
'\"macro stdmacro
.ds Vn Version 1.2
.ds Dt 6 March 1997
.ds Re Release 1.2.0
.ds Dp Feb 16 02:56
.ds Dm  Feb 10 17:2
.ds Xs 37853 3 xfreecontextext.gl
.TH GLXFREECONTEXTEXT
.SH NAME
.B "glXFreeContextEXT
\- free client-side memory for imported context

.SH C SPECIFICATION
void \f3glXFreeContextEXT\fP(
Display \fI*dpy\fP,
.nf
.ta \w'\f3void \fPglXFreeContextEXT( 'u
	GLXContext \fIctx\fP )
.fi

.EQ
delim $$
.EN
.SH PARAMETERS
.TP \w'\f2dpy\fP\ \ 'u 
\f2dpy\fP
Specifies the connection to the X server.

.TP
\f2ctx\fP
Specifies a GLX rendering context.

.SH DESCRIPTION
\f3glXFreeContextEXT\fP frees the client-side part of a GLXContext that 
was created with \f3glXImportContext\fP. \f3glXFreeContextEXT\fP does not 
free the server-side context information or the XID 
associated with the server-side context.
.P
\f3glXFreeContextEXT\fP is part of the \f3EXT_import_context\fP extension,
not part of the core GLX command set. If \f3GLX_EXT_import_context\fP
is included in the string returned by \f3glXQueryExtensionsString\fP,
when called with argument \f3GLX_EXTENSIONS\fP,
extension \f3EXT_vertex_array\fP is supported.

.SH ERRORS
\f3GLXBadContext\fP is generated if \f2ctx\fP does not
refer to a valid context.

.SH SEE ALSO
\f3glXCreateContext\fP,
\f3glXQueryVersion\fP,
\f3glXQueryExtensionsString\fP,
\f3glXImportContextEXT\fP
