'\"! eqn | mmdoc
'\"macro stdmacro
.ds Vn Version 1.2
.ds Dt 6 March 1997
.ds Re Release 1.2.0
.ds Dp Feb 16 02:56
.ds Dm  Feb 10 17:2
.ds Xs 25267 2 xqueryextension.gl
.TH GLXQUERYEXTENSION
.SH NAME
.B "glXQueryExtension
\- indicate whether the GLX extension is supported

.SH C SPECIFICATION
Bool \f3glXQueryExtension\fP(
Display \fI*dpy\fP,
.nf
.ta \w'\f3Bool \fPglXQueryExtension( 'u
	int \fI*errorBase\fP,
	int \fI*eventBase\fP )
.fi

.EQ
delim $$
.EN
.SH PARAMETERS
.TP \w'\fIerrorBase\fP\ \ 'u 
\f2dpy\fP
Specifies the connection to the X server.
.TP
\f2errorBase\fP
Returns the base error code of the GLX server extension.
.TP
\f2eventBase\fP
Returns the base event code of the GLX server extension.
.SH DESCRIPTION
\f3glXQueryExtension\fP returns \f3True\fP if the X server of
connection \f2dpy\fP supports the GLX extension,
\f3False\fP otherwise.
If \f3True\fP is returned,
then \f2errorBase\fP and \f2eventBase\fP return the error base and event base of
the GLX extension.
Otherwise, \f2errorBase\fP and \f2eventBase\fP are unchanged.
.P
\f2errorBase\fP and \f2eventBase\fP do not return values if they are specified
as \f3NULL\fP.
.SH NOTES
\f2eventBase\fP is included for future extensions.
GLX does not currently define any events.
.SH SEE ALSO
\f3glXQueryVersion\fP

