'\"! eqn | mmdoc
'\"macro stdmacro
.ds Vn Version 1.2
.ds Dt 6 March 1997
.ds Re Release 1.2.0
.ds Dp Feb 16 02:56
.ds Dm  Feb 10 17:2
.ds Xs 52600 3 xqueryserverstring.gl
.TH GLXQUERYSERVERSTRING
.SH NAME
.B "glXQueryServerString
\- return string describing the server

.SH C SPECIFICATION
const char * \f3glXQueryServerString\fP(
Display \fI*dpy\fP,
.nf
.ta \w'\f3const char * \fPglXQueryServerString( 'u
	int \fIscreen\fP,
	int \fIname\fP )
.fi

.EQ
delim $$
.EN
.SH PARAMETERS
.TP \w'\fIscreen\fP\ \ 'u 
\f2dpy\fP
Specifies the connection to the X server.
.TP
\f2screen\fP
Specifies the screen number.
.TP
\f2name\fP
Specifies which string is returned. 
One of \f3GLX_VENDOR\fP, \f3GLX_VERSION\fP, or \f3GLX_EXTENSIONS\fP.
.SH DESCRIPTION
\f3glXQueryServerString\fP 
returns a pointer to a static, null-terminated string 
describing some aspect of the server's GLX extension. The possible values for
\f2name\fP and the format of the strings is the same as for
\f3glXGetClientString\fP. If \f2name\fP is not set to a recognized value,
\f3NULL\fP is returned. 
.SH NOTES
\f3glXQueryServerString\fP is available only if the GLX version is 1.1 or greater.
.P
If the GLX version is 1.1 or 1.0, the GL version must be 1.0.
If the GLX version is 1.2, the GL version must be 1.1.
.P
\f3glXQueryServerString\fP only returns information about GLX extensions supported by the server.
Call \f3glGetString\fP to get a list of GL extensions.
Call \f3glXGetClientString\fP to get a list of GLX extensions supported by the
client.
.SH SEE ALSO
\f3glXQueryVersion\fP,
\f3glXGetClientString\fP,
\f3glXQueryExtensionsString\fP

