'\"! eqn | mmdoc
'\"macro stdmacro
.ds Vn Version 1.2
.ds Dt 6 March 1997
.ds Re Release 1.2.0
.ds Dp Feb 16 02:56
.ds Dm  Feb 10 17:2
.ds Xs 36423 3 xqueryversion.gl
.TH GLXQUERYVERSION
.SH NAME
.B "glXQueryVersion
\- return the version numbers of the GLX extension

.SH C SPECIFICATION
Bool \f3glXQueryVersion\fP(
Display \fI*dpy\fP,
.nf
.ta \w'\f3Bool \fPglXQueryVersion( 'u
	int \fI*major\fP,
	int \fI*minor\fP )
.fi

.EQ
delim $$
.EN
.SH PARAMETERS
.TP \w'\fImajor\fP\ \ 'u 
\f2dpy\fP
Specifies the connection to the X server.
.TP
\f2major\fP
Returns the major version number of the GLX server extension.
.TP
\f2minor\fP
Returns the minor version number of the GLX server extension.
.SH DESCRIPTION
\f3glXQueryVersion\fP returns the major and minor version numbers of the GLX extension
implemented by the server associated with connection \f2dpy\fP.
Implementations with the same major version number are upward compatible,
meaning that the implementation with the higher minor number is a superset
of the version with the lower minor number.
.P
\f2major\fP and \f2minor\fP do not return values if they are specified as
\f3NULL\fP. 
.SH ERRORS
\f3glXQueryVersion\fP returns \f3False\fP if it fails,
\f3True\fP otherwise.
.P
\f2major\fP and \f2minor\fP are not updated when \f3False\fP is returned.
.SH SEE ALSO
\f3glXQueryExtension\fP
